GNU bug report logs - #60912
[PATCH 14/25] gnu: Add misspell.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60913, #60914, #60915, #60916, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:11 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:55 2023
Received: from localhost ([127.0.0.1]:38633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxWV-0007X9-2C
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:55 -0500
Received: from lists.gnu.org ([209.51.188.17]:44468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxW3-0007UD-FI
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:29 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW3-000287-6q
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:27 -0500
Received: from mail-il1-x12d.google.com ([2607:f8b0:4864:20::12d])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVz-0006xA-Q2
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:26 -0500
Received: by mail-il1-x12d.google.com with SMTP id u8so16410223ilg.0
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=9X2Ez+Jw5zEKbac3v+NEfis6M/Uqv9EBmUpDTo2d2hY=;
 b=SHhlLIdFXE+urXuDnjWEiMcZEeqrdt1VeneJW9hFuuBoqDU6opFtJSLoct+PPtp58V
 XT7p8AGIzwbeS7RrGFpVW14K+5IBBXYQKjEV5CoUn/HchXML8uh0nwXyk1ipw2XHNSyo
 hDyx81GQ6G3zZqpVVxtA+Warw1LkqHfcqoAan+mwqb7IAawVGz1SktjKGWuAZmgjEIgZ
 9zi1FxBaQDdOoLgnURnhr/L9BSzfZOYyRd0BThoBS2A7e07y9zstq71CZ20nRPBLGJND
 bJlHPcT9DuvdrRtJ4PxiyD4BbOGdR3ay0LD6PfBa58vzdQC9CM6/s5TDQtWYP+Va9n89
 EbHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=9X2Ez+Jw5zEKbac3v+NEfis6M/Uqv9EBmUpDTo2d2hY=;
 b=cc/5GulONOoNqY9MkvRzNBHuoewecJJLjlT85gsLubny/IPs7+0y9hk0VlKrFBj0nm
 Sc1H57+S80+CtoTQgYAm0IV7sP4U3ARvgZEAryBxuM66IgiSPro6RdEqgdc4n5vy6ox7
 vajTf7eXfJx61AMRksPD3/y4b/zq1hlcN1dMOJkhG8TFTfSC0EcZA1+PoWgO8iwaTYgf
 bXEMOdUSNPgDWJ1t07cVqTl3+02I3IqBLkuPYUUqmLbsM1zo2rdVsryn0R4rVOQ3FLh4
 RUmjqleMKtjLQzodQweLbVR+ITuMBBBKoq4hFVislBjI6acraGXcfz3tBYg8MgEA7AmO
 f0xA==
X-Gm-Message-State: AFqh2koWbzv52yYz/x8RXxh7hxpYspdHs2qRPj8ae7gCRgUpu4JtOKFA
 vP2Uo2SZCqI9s2JY9oM8kGT6HKNUzro=
X-Google-Smtp-Source: AMrXdXsLYwX54VaU1RBNHkWuCTFWvJ0MBkcpfXM09Veri7rimElr2pLr3mU8NqrirLp/AFpla3mq4A==
X-Received: by 2002:a05:6e02:5aa:b0:30e:f8a5:5312 with SMTP id
 k10-20020a056e0205aa00b0030ef8a55312mr4590992ils.1.1674006322549; 
 Tue, 17 Jan 2023 17:45:22 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:22 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 14/25] gnu: Add misspell.
Date: Tue, 17 Jan 2023 18:44:59 -0700
Message-Id: <20230118014510.19320-15-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::12d;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x12d.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (misspell): New variable.
---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 2b778ac49e..b84fe59503 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4821,6 +4821,35 @@ (define-public go-gitlab-com-ambrevar-damerau
 similar word.")
       (license license:expat))))
 
+(define-public misspell
+  (package
+    (name "misspell")
+    (version "0.3.4")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/client9/misspell")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1vwf33wsc4la25zk9nylpbp9px3svlmldkm0bha4hp56jws4q9cs"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path "github.com/client9/misspell"
+       #:phases (modify-phases %standard-phases
+                  (replace 'build
+                    (lambda arguments
+                      (apply (assoc-ref %standard-phases
+                                        'build)
+                             `(,@arguments #:import-path
+                               "github.com/client9/misspell/cmd/misspell")))))))
+    (home-page "https://github.com/client9/misspell")
+    (synopsis "Install")
+    (description
+     "Package misspell corrects commonly misspelled English words in source files.")
+    (license license:expat)))
+
 (define-public go-github-com-stevedonovan-luar
   (let ((commit "22d247e5366095f491cd83edf779ee99a78f5ead")
         (revision "0"))
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60912; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.